> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 设置企业数据 Trustpilot 评论任务

> 此端点提供发布在 [Trustpilot](https://www. 上的评论



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/business_data/trustpilot/reviews/task_post
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/trustpilot/reviews/task_post:
    post:
      summary: 设置企业数据 Trustpilot 评论任务
      description: >-
        此端点提供在 [Trustpilot](https://www.trustpilot.com) 平台上发布的、针对 `domain`
        字段所指定本地商家的评论。
      operationId: post_dataforseo_business_data_trustpilot_reviews_task_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                domain:
                  type: string
                  description: >-
                    *本地商家的域名* **必填字段** Trustpilot 上本地商家的域名；你可以在 Trustpilot
                    所列每家企业的 URL 中找到该域名，例如：`www.thepearlsource.com`
                    `https://www.trustpilot.com/review/www.thepearlsource.com`
                sort_by:
                  type: string
                  description: >-
                    *结果排序参数* 可选字段；你可以使用此字段对结果进行排序；可能的排序参数：`recency` —
                    最新评论优先；`relevance` — 最相关评论优先；默认值：`relevance`
                priority:
                  type: integer
                  description: >-
                    *任务优先级* 可选字段，可使用以下值：1 – 普通执行优先级（默认设置）2 –
                    高执行优先级。高执行优先级的任务将额外收费。费用可在[定价](https://dataforseo.com/pricing/business-data/business-data-api-trustpilot-reviews-pricing
                    "定价")页面计算。
                depth:
                  type: integer
                  description: >-
                    *解析深度*。可选字段。API
                    响应中返回的评论数量。强烈建议将解析深度设置为二十的倍数，因为我们的系统每次处理二十条评论。默认值：`20`；最大值：`200`。**每个包含最多
                    20 条结果的 SERP 都会向你的账户计费；**如果搜索引擎返回超过 20 条结果，将深度设置为 20
                    以上可能产生额外费用；可在[定价](https://dataforseo.com/pricing/business-data/business-data-api-trustpilot-reviews-pricing
                    "定价")页面计算费用。
                tag:
                  type: string
                  description: >-
                    *用户定义的任务标识符*，可选字段，*字符数上限为 255*。你可以使用此参数标识任务并将其与结果匹配；你可以在响应的
                    `data` 对象中找到指定的 `tag` 值
                postback_url:
                  type: string
                  description: >-
                    *用于发送任务结果的返回 URL*，可选字段。任务完成后，我们会向您指定的 `postback_url` 发送 POST
                    请求，结果将以 `gzip` 格式压缩。您可以将字符串 ‘$id’ 用作 `$id` 变量，并将 ‘$tag’ 用作经过
                    URL 编码的 `$tag`
                    变量。我们将在发送请求前设置必要的值。示例：`http://your-server.com/postbackscript?id=$id`
                    `http://your-server.com/postbackscript?id=$id&tag=$tag`
                    **注意：**`postback_url` 中的特殊字符将经过 URL 编码；例如，`#` 字符将编码为
                    `%23`。有关更多信息，请参阅我们的[帮助中心](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api)
                pingback_url:
                  type: string
                  description: >-
                    *任务完成通知 URL*，可选字段。任务完成后，我们将向你指定的 URL 发送 GET 请求以通知你。你可以使用字符串
                    ‘$id’ 作为 `$id` 变量，并使用 ‘$tag’ 作为经过 URL 编码的 `$tag`
                    变量。我们会在发送请求前设置必要的值。示例：`http://your-server.com/pingscript?id=$id`
                    `http://your-server.com/pingscript?id=$id&tag=$tag`
                    **注意：**`pingback_url` 中的特殊字符将进行 URL 编码；例如，`#` 字符将被编码为
                    `%23`。请访问我们的[帮助中心](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api)了解更多信息。
              required:
                - domain
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*API 的当前版本*'
                  version.status_code:
                    type: integer
                    description: >-
                      *常规状态代码*
                      您可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表。**注意：**我们强烈建议设计必要的系统来处理相关异常或错误情况
                  version.status_message:
                    type: string
                    description: >-
                      *一般信息消息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看一般信息消息的完整列表
                  version.time:
                    type: string
                    description: '*执行时间（秒）*'
                  version.cost:
                    type: number
                    description: '*任务总成本（美元）*'
                  version.tasks_count:
                    type: integer
                    description: '***`tasks`**数组中的任务数量*'
                  version.tasks_error:
                    type: integer
                    description: '*返回的 **`tasks`** 数组中发生错误的任务数量*'
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*任务数组*'
                  tasks.id:
                    type: string
                    description: >-
                      我们系统中的*唯一任务标识符*，采用[通用唯一标识符
                      (UUID)](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      格式
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的*任务状态码*；取值范围为：10000-60000
                  tasks.status_message:
                    type: string
                    description: '*任务信息消息*'
                  tasks.time:
                    type: string
                    description: '*执行时间（秒）*'
                  tasks.cost:
                    type: number
                    description: '*任务成本（美元）*'
                  tasks.result_count:
                    type: integer
                    description: '*`result` 数组中的元素数量*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL 路径*'
                  tasks.data:
                    type: object
                    description: '*包含与您在 POST 请求中指定的参数相同的参数*'
                  result:
                    type: array
                    items:
                      type: string
                    description: '*结果数组*；在这种情况下，该值将为 `null`'
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````